﻿using System;
using System.Linq;
using GestioDespeses;

namespace Dades
{
    public class DARol
    {
        //Retorna el rol de l'usuari 
        public string GetUsuariRol(string usuari)
        {
            try
            {
                string rol = String.Empty;
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    IQueryable<DBUSUARI> resultat = (from usu in bd.DBUSUARI
                                                     join usuRol in bd.DBROLUSUARI
                                                     on usu.IDROL equals usuRol.IDROL
                                                     where usu.USUDNI == usuari
                                                     select usu);
                    foreach (var row in resultat)
                    {
                        rol = row.DBROLUSUARI.ROLDESCRIPCIO;
                    }
                    return rol;
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Retorna el id del rol 
        public int GetRol(string rol)
        {
            try
            {
                int id = 0;
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    IQueryable<DBROLUSUARI> _rol = (from p in bd.DBROLUSUARI
                                                    where p.ROLDESCRIPCIO == rol
                                                    select p);
                    foreach (var row in _rol)
                    {
                        id = row.IDROL;
                    }
                    return id;
                }
            }
            catch (Exception)
            {
                return 0;
            }
        }
    }
}
