﻿using System;
using System.Linq;
using GestioDespeses;

namespace Dades
{
    public class DATipologia
    {
        //Retorna id tipologia
        public int GetIdTipologia(string tipologia)
        {
            try
            {
                int id = 0;
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    var resultat = (from tip in bd.DBTIPOLOGIA
                                    where tip.TIPDESCRIPCIO == tipologia
                                    select tip);

                    foreach (var row in resultat)
                    {
                        id = row.IDTIPOLOGIA;
                    }
                    return id;
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Retorna descripció tippologia
        public string GetDescripcioTipologia(int tipologia)
        {
            try
            {
                string id = String.Empty;
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    var resultat = (from tip in bd.DBTIPOLOGIA
                                    where tip.IDTIPOLOGIA == tipologia
                                    select tip);

                    foreach (var row in resultat)
                    {
                        id = row.TIPDESCRIPCIO;
                    }
                    return id;
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Elimina tipologia
        public void Eliminar(string tipus)
        {
            try
            {
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    DBTIPOLOGIA tipologia = (from p in bd.DBTIPOLOGIA
                                             where p.TIPDESCRIPCIO == tipus
                                             select p).FirstOrDefault();

                    if (tipologia != null)
                    {
                        bd.DBTIPOLOGIA.DeleteObject(tipologia);
                        bd.SaveChanges();
                    }
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Modifica tipologia
        public void Modificar(string tipus, string descripcio)
        {
            try
            {
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {
                    DBTIPOLOGIA tip = (from p in bd.DBTIPOLOGIA
                                       where p.TIPDESCRIPCIO == tipus
                                       select p).FirstOrDefault();

                    if (tip != null)
                    {
                        tip.TIPDESCRIPCIO = descripcio;
                        bd.SaveChanges();
                    }
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Dona d'alta una nova tipologia
        public void Alta(string descripcio)
        {
            try
            {
                int id = idTip();
                using (SolicitudsEntities bd = new SolicitudsEntities())
                {

                    bd.DBTIPOLOGIA.AddObject(new DBTIPOLOGIA
                    {
                        IDTIPOLOGIA = id,
                        TIPDESCRIPCIO = descripcio
                    });
                    bd.SaveChanges();
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //Retorna el id màxim i suma 1
        public int idTip()
        {
            SolicitudsEntities bd = new SolicitudsEntities();
            int id = (from idTip in bd.DBTIPOLOGIA
                      select (int?)idTip.IDTIPOLOGIA).Max() ?? 0;
            int _id = id + 1;
            return _id;
        }
    }
}
