﻿using System;
using Negoci;
using System.Windows.Forms;
using GestioDespeses.Controls;

namespace GestioDespeses.Administrador
{
    /// <summary>
    /// Gestionar Departaments
    /// </summary>
    public partial class GestioDepartament : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                string usuari = String.Empty;

                if (Session["usuari"] == null)
                    Response.Redirect("~/Account/Login.aspx");

                usuari = Convert.ToString(Session["usuari"]);
                string rolUsuari = BLRol.GetUsuariRol(usuari);
                if (rolUsuari != "Administrador")
                    Response.Redirect("~/Menu.aspx");    
            }      
        }

        /// <summary>
        /// Tornar a la pàgina Configuració
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>  
        protected void btnTornar_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Configuracio.aspx");
        }

        /// <summary>
        /// Eliminar departament seleccionat
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>  
        protected void btnEliminar_Click(object sender, EventArgs e)
        {
            if (this.ddlDepartament.SelectedValue.Length > 0 && txtDepartament.Text == String.Empty) //comprovem que s'ha seleccionat un departament
            {
                string departament = ddlDepartament.SelectedValue;
                //Eliminem el departament seleccionat
                BLDepartament.Eliminar(departament);
            }
            else
            {
                MessageBox.Show("Seleccioni un departament i no introdueixi cap descripció", "Departament", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        /// <summary>
        /// Alta nou departament
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>  
        protected void btnAlta_Click1(object sender, EventArgs e)
        {
            if (this.ddlDepartament.SelectedValue == String.Empty && txtDepartament.Text.Length > 0) //comprovem que no s'ha seleccionat un departament i s'ha introduit una descripció
            {
                string descripcio = txtDepartament.Text;
                //Alta nou departament 
                BLDepartament.Alta(descripcio);
            }
            else
            {
                MessageBox.Show("Cal introduir una descripció i no seleccionar cap departament", "Departament", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}