﻿using System;
using Negoci;
using System.Windows.Forms;

namespace GestioDespeses.Administrador
{
    /// <summary>
    /// Gestionar Tipologia de la despesa
    /// </summary>
    public partial class GestioTipologia : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                    string usuari = String.Empty;

                    if (Session["usuari"] == null)
                        Response.Redirect("~/Account/Login.aspx");

                    usuari = Convert.ToString(Session["usuari"]);
                    string rolUsuari = BLRol.GetUsuariRol(usuari);
                    if (rolUsuari != "Administrador")
                        Response.Redirect("~/Menu.aspx");               
            }
        }

        /// <summary>
        /// Tornar a la pàgina Configuració
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param> 
        protected void btnTornar_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/Configuracio.aspx");
        }

        /// <summary>
        /// Eliminar Tipologia
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param> 
        protected void btnEliminar_Click(object sender, EventArgs e)
        {
            string tipus = ddlTipologia.SelectedValue;
            string descripcio = txtTipologia.Text;
            if (tipus.Length > 0)
            {
                //Eliminar
                BLTipologia.Eliminar(tipus);
                MessageBox.Show("Tipologia eliminada", "Eliminar Tipologia", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            else
            {
                MessageBox.Show("Seleccioni una tipologia", "Eliminar Tipologia", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        /// <summary>
        /// Modificar tipologia seleccionada
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param> 
        protected void btnModificar_Click(object sender, EventArgs e)
        {
            string tipus = ddlTipologia.SelectedValue;
            string descripcio = txtTipologia.Text;
            if (tipus.Length > 0 && descripcio.Length > 0)
            {
                //Modificar
                BLTipologia.Modificar(tipus, descripcio);
                MessageBox.Show("Tipologia modificada", "Modificar Tipologia", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            else
            {
                MessageBox.Show("Seleccioni una tipologia i introdueixi la descripció", "Modificar Tipologia", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }

        /// <summary>
        /// Alta nova tipologia
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param> 
        protected void btnAlta_Click1(object sender, EventArgs e)
        {
            string tipus = ddlTipologia.SelectedValue;
            string descripcio = txtTipologia.Text;
            if (tipus == String.Empty && descripcio.Length > 0)
            {
                //Afegir
                BLTipologia.Alta(descripcio);
                MessageBox.Show("Alta correcte", "Alta Tipologia", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            else
            {
                MessageBox.Show("Introdueixi la descripció i no seleccioni cap tipologia", "Alta Tipologia", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
        }
    }
}