﻿using System;
using System.ComponentModel;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace GestioDespeses.Controls
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:GestioDespeses runat=server></{0}:GestioDespeses>")]
    public class CanviClau : WebControl
    {
         [Category("Appearance")]
        [DefaultValue("")]
        [Localizable(true)]
        int conta = 0;
        public string texto
        {
            get
            {
                String s = (String)ViewState["texto"];
                return ((s == null) ? String.Empty : s);
            }

            set
            {
                ViewState["texto"] = segur(value);
            }
        }

        #region Methods
        protected override void RenderContents(HtmlTextWriter writer)
        {
            writer.Write(texto);
            base.RenderContents(writer);
        }
        protected override HtmlTextWriterTag TagKey
        {
            get
            {
                return HtmlTextWriterTag.Label;
            }
        }
        protected override void AddAttributesToRender(HtmlTextWriter writer)
        {
            base.AddAttributesToRender(writer);
            if (conta < 3)
            {
                writer.AddAttribute(HtmlTextWriterAttribute.Style, "background-color: Green");
            }
            else
            {
                writer.AddAttribute(HtmlTextWriterAttribute.Style, "background-color: Red");
            }
        }
        private String segur(string tbText)
        {
            string word;
            for (int i = 0; i < tbText.Length; i++){
                word = tbText[i].ToString();
                if (word.Equals("@") || word.Contains("#") || word.Contains("$") || word.Contains("%") || word.Contains("&"))
                {
                    conta = conta + 1;
                }
            }
            if (conta > 2)
            {
                tbText = "Fort";
            }
            else
            {
                tbText = "Feble";
            }
            return tbText;
        }
        #endregion
    }
}