﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Windows.Forms;

namespace GestioDespeses.Controls
{
    /// <summary>
    /// Miissatges de confirmació i Error
    /// </summary>
    public class MissatgesError : System.Web.UI.UserControl
    {
        private const string CampObligatori = "El camp Resposta és obligatori";
        private const string DadaCorrecte = "Comprovi que les dades del filtre siguin correctes";
        private const string Eliminar = "No s'ha eliminat el registre";
        private const string Comprovar = "Comprovi que les dades siguin correctes";
        private const string formulari = "Aquest formulari només és per usuaris registrats";
        private const string omplerts = "Falten camps per omplir";
        private const string actualitzatCorrecte = "Actualitzat correctament";
        private const string dadesAlta = "Dades afegides correctament";
        private const string dadesNoAlta = "No s'han guardat les dades";
        private const string error = "Error en l'alta o modificació o eliminació d'un usuari";
        private const string update = "Modificació correcte";
        private const string errorcarrega = "Error al carregar les dades";
        private const string autoritzatCorrecte = "Enviat correctament";

        public static void CampsObligatoris()
        {
            MessageBox.Show(CampObligatori, "Respondre", MessageBoxButtons.OK, MessageBoxIcon.Warning);           
        }

        public static void DadesFiltreCorrectes()
        {
            MessageBox.Show(DadaCorrecte, "Respondre", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }       

        public static void EliminarRegistre()
        {
            MessageBox.Show(Eliminar, "Eliminar", MessageBoxButtons.OK, MessageBoxIcon.Error);
        }

        public static void ComprovarDades()
        {
            MessageBox.Show(Comprovar, "Camps", MessageBoxButtons.OK, MessageBoxIcon.Warning);
        }

         public static void FormulariIncidencia()
        {
            MessageBox.Show(formulari, "Enviar Incidència", MessageBoxButtons.OK, MessageBoxIcon.Information);
         
        }               

         public static void FaltenCamps()
         {
             MessageBox.Show(omplerts, "Camps", MessageBoxButtons.OK, MessageBoxIcon.Warning);
         }

         public static void Actualitzat()
         {
             MessageBox.Show(actualitzatCorrecte, "Actualitzar Dades", MessageBoxButtons.OK, MessageBoxIcon.Information);
         }

         public static void DadesAfegides()
         {
             MessageBox.Show(dadesAlta, "Dades", MessageBoxButtons.OK, MessageBoxIcon.Information);
         }

         public static void Autoritzat()
         {
             MessageBox.Show(autoritzatCorrecte, "Dades", MessageBoxButtons.OK, MessageBoxIcon.Information);
         }

         public static void DadesNoAfegides()
         {
             MessageBox.Show(dadesNoAlta, "Guardar Dades", MessageBoxButtons.OK, MessageBoxIcon.Warning);
         }

         public static void ErrorUsuari()
         {
             MessageBox.Show(error, "Usuari", MessageBoxButtons.OK, MessageBoxIcon.Error);
         }

         public static void ErrorCarrega()
         {
             MessageBox.Show(errorcarrega, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
         }

         public static void Modificacio()
         {
             MessageBox.Show(update, "Modificació", MessageBoxButtons.OK, MessageBoxIcon.Information);
         }
    }
}