﻿using System;
using Negoci;
using System.Windows.Forms;
using Entities;
using System.Web.UI;
using GestioDespeses.Controls;

namespace GestioDespeses
{
    /// <summary>
    /// Històric de sol·licituds
    /// </summary>
    public partial class Incidencies : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        #region[button]

        /// <summary>
        /// Enviar incidències de problemes amb el funcionament de l'aplicació
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnEnviar_Click(object sender, EventArgs e)
        {
            try
            {
                //Comprovem que tots els camps estiguin omplerts
                if (txtDNI.Text != String.Empty && txtNom.Text != String.Empty && txtEmail.Text != String.Empty && txtBreuDescripcio.Text != String.Empty && TextArea1.InnerText != String.Empty)
                {
                    clsIncidencies incidencia = new clsIncidencies();
                    //Dispose();
                    //Carreguem les dades introduïdes al formulari
                    incidencia = CarregarDades();
                    if (incidencia.idUsuari <= 0)
                    {
                         //si no existeix usuari indiquem que no pot registrar cap incidència
                         MissatgesError.FormulariIncidencia(); 
                         NetejarDades();
                    }
                    else
                    {
                        //Donar d'alta nova incidència al sistema
                        BLIncidencies.AfegirIncidencia(incidencia);
                        MissatgesError.DadesAfegides();
                        NetejarDades();
                    }
                }
                else
                {
                    MissatgesError.FaltenCamps();
                }
            }
            catch
            {
                MissatgesError.ComprovarDades();
            }
        }

        /// <summary>
        /// Cancelar alta incidència
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnCancelar_Click(object sender, EventArgs e)
        {
            //Netejar dades introduïdes als camps
            NetejarDades();
            Response.Redirect("~/Menu.aspx");
        }
        #endregion


        #region[métodes privats]

        /// <summary>
        /// Carrega les dades del formulari
        /// </summary>
        /// <returns>Retorna les dades introduïdes per l'usuari</returns>
        private clsIncidencies CarregarDades()
        {
            int id = BLUsuari.GetIdUsuari(txtDNI.Text);

            clsIncidencies inc = new clsIncidencies()
            {
                idUsuari = id,
                nom = txtNom.Text,
                email = txtEmail.Text.Trim(),
                breudescripcio = txtBreuDescripcio.Text,
                descripcio = TextArea1.InnerText
            };
            return inc;
        }

        /// <summary>
        /// Netejar camps del formulari
        /// </summary>
        private void NetejarDades()
        {
            txtDNI.Text = String.Empty;
            txtNom.Text = String.Empty;
            txtEmail.Text = String.Empty;
            txtBreuDescripcio.Text = String.Empty;
            TextArea1.InnerText = String.Empty;
        }

        #endregion
    }
}