﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Negoci;

namespace GestioDespeses
{
    public partial class SiteMaster : System.Web.UI.MasterPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

            }

            if (HttpContext.Current.Session["usuari"] != null)
            {
                string _usuari = Convert.ToString(Session["usuari"]);
                //Redireccio al menu segons el rol de l'usuari 
                RolUsuari(_usuari);
            }
        }

        /// <summary>
        /// Saber el rol de l'usuari i redirigir al menu corresponent
        /// </summary>
        /// <param name="usuari">Dni Usuari</param>
        private void RolUsuari(string usuari)
        {
            SiteMapDataSource1.SiteMapProvider = "USUARI.SiteMapProvider";
            //Menu1.Visible = true;
            string rolUsuari = BLRol.GetUsuariRol(usuari);

            if (rolUsuari == "Usuari")
            {
                SiteMapDataSource1.SiteMapProvider = "USUARI.SiteMapProvider";
                Menu1.Visible = true;
            }
            if (rolUsuari == "Responsable")
            {
                SiteMapDataSource1.SiteMapProvider = "RESPONSABLE.SiteMapProvider";
                Menu1.Visible = true;
            }
            if (rolUsuari == "Administrador")
            {
                SiteMapDataSource1.SiteMapProvider = "ADMINISTRADOR.SiteMapProvider";
                Menu1.Visible = true;
            }
        }

        /// <summary>
        /// Tancar sessió i sortir 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void LinkButton1_Click(object sender, EventArgs e)
        {
            HttpContext.Current.Session["usuari"] = "";
            Session.Abandon();
            HttpContext.Current.Response.Redirect("~/Account/Login.aspx", true);
        }

        /// <summary>
        /// Selecció del menú
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void OnMenuItemDataBound(object sender, MenuEventArgs e)
        {
            if (SiteMap.CurrentNode != null)
            {
                if (e.Item.Text == SiteMap.CurrentNode.Title)
                {
                    if (e.Item.Parent != null)
                    {
                        e.Item.Parent.Selected = true;
                    }
                    else
                    {
                        e.Item.Selected = true;
                    }
                }
            }
        }
    }
}
