﻿using System;
using System.Collections.Generic;
using Dades;
using GestioDespeses;

namespace Negoci
{
    /// <summary>
    /// Històric de sol·licituds
    /// </summary>
    public class BLConsultaHistoric
    {
        //Retorna número total sol·licituds tancades segons paràmetre d'entrada
        public static int GetHistoricQuantitat(string tipologia, DateTime? dataInici, DateTime? dataFi)
        {
            return new DAHistoric().GetHistoricQuantitat(tipologia, dataInici, dataFi);
        }
        //Retorna número total sol·licitud tancades segons paràmetre d'entrada. Administrador
        public static int GetHistoricQuantitatAdmin(string departament, DateTime? dataInici, DateTime? dataFi)
        {
            return new DAHistoric().GetHistoricQuantitatAdmin(departament, dataInici, dataFi);
        }
        //Retorna import total sol·licituds tancades segons paràmetres d'entrada
        public static float GetHistoricImport(string tipologia, DateTime? dataInici, DateTime? dataFi)
        {
            return new DAHistoric().GetHistoricImport(tipologia, dataInici, dataFi);
        }
        //Retorna import total sol·licituds tancades segons paràmetres d'entrada. Administrador
        public static float GetHistoricImportAdmin(string tipologia, DateTime? dataInici, DateTime? dataFi)
        {
            return new DAHistoric().GetHistoricImportAdmin(tipologia, dataInici, dataFi);
        }
        //Llista totes les sol·lcituds tancades
        public static List<DBSOLICITUD> GetHistoricLlista(string tipologia, DateTime? dataInici, DateTime? dataFi)
        {
            return new DAHistoric().GetHistoricLlista(tipologia, dataInici, dataFi);
        }
        //Llista dades sol·licitud consultada
        public static List<DBSOLICITUD> GetSolicitudsHistoric(int solicitud)
        {
            return new DAHistoric().GetSolicitudsHistoric(solicitud);
        }
        //Llista totes les sol·licituds tancades. Administrador
        public static List<DBSOLICITUD> GetHistoricLlistatAdmin(string tipologia, DateTime? dataInici, DateTime? dataFi)
        {
            return new DAHistoric().GetHistoricLlistaAdmin(tipologia, dataInici, dataFi);
        }
    }
}
