﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using GestioDespeses;


namespace Negoci.GuardarArxiu
{
    public class HttpImageHandler : IHttpHandler
    {
        /// <summary>
        /// Format Arxiu
        /// </summary>
        public void ProcessRequest(HttpContext context)
        {
            try
            {
                int id = Convert.ToInt32(context.Request.Params["id"]);
                //Recupera Arxiu
                List<DBARXIUSOLICITUD> llista = BLArxiu.GetByArxiu(id);

                for (int c = 0; c < llista.Count; c++)
                {
                    context.Response.Clear();
                    context.Response.AddHeader("content-disposition", string.Format("attachment;filename={0}", llista.ElementAt(c).ARXNOM));
                    //Comprovem les extensions
                    switch (Path.GetExtension(llista.ElementAt(c).ARXNOM).ToLower())
                    {
                        case ".pdf":
                            context.Response.ContentType = "application/pdf";
                            break;
                        case ".doc":
                            context.Response.ContentType = "application/msword";
                            break;
                        case ".xls":
                            context.Response.ContentType = "application/vnd.ms-excel";
                            break;
                        case ".jpg":
                            context.Response.ContentType = "aimage/jpg";
                            break;
                        case ".png":
                            context.Response.ContentType = "image/png";
                            break;
                        case ".gif":
                            context.Response.ContentType = "image/gif";
                            break;
                    }
                    context.Response.BinaryWrite(llista.ElementAt(c).ARXIU);
                    context.Response.End();
                }
            }
            catch
            {
                return;
            }
        }

        public bool IsReusable
        {
            get { return false; }
        }
    }
}